## esdsink esdsink — Plays audio to an esound server |

## Synopsis

    struct              GstEsdSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstBaseAudioSink
                               +----GstAudioSink
                                     +----GstEsdSink

## Properties

      "host"                     gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | esdsink
author | Arwed von Merkatz <v.merkatz@gmx.net>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int)16, depth=(int)16, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]
| audio/x-raw-int, signed=(boolean){ true, false }, width=(int)8, depth=(int)8, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]

## Details

### struct GstEsdSink

    struct GstEsdSink;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host running the esound daemon.

Default value: NULL